# Product overview KPIs + weekly production volume (/docs/api-reference/reports/ReportsController_getProductOverview)

`GET /api/factories/{factoryId}/reports/products/{productId}/overview`

Base URL: https://api.xentr.ai

Authentication: bearer token (`Authorization: Bearer <token>`).

## Parameters

| Name | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| `factoryId` | path | yes | string | Factory ID |
| `productId` | path | yes | string | Product ID |
| `from` | query | no | string | Period start (ISO date) |
| `to` | query | no | string | Period end (ISO date) |
| `orderState` | query | no | "all" \| "completed" \| "in_production" |  |
| `orderId` | query | no | string | Filter to a single production order |

## Responses

### 200: Product KPIs and weekly chart data